image: dtzar/helm-kubectl

stages:
  - 🛃 check
  - ⛴ package
  - 💾 publish

👁️‍🗨️_lint:
  stage: 🛃 check
  script: helm lint . --strict

📦_generate_tgz:
  stage: ⛴ package
  script: helm package . --destination package
  artifacts:
    paths:
      - package/*.tgz

📢_registry:
  stage: 💾 publish
  script:
      - export TGZ=`ls package`
      - helm registry login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
      - helm push package/$TGZ oci://$CI_REGISTRY/fun_with/fun-with-k8s/fun-with-helm
  needs: ["📦_generate_tgz"]
